> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dispute Conversations



## OpenAPI

````yaml openapi.json get /dispute/conversation
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /dispute/conversation:
    parameters: []
    get:
      tags:
        - Dispute
      summary: Dispute Conversations
      parameters:
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: size
          in: query
          required: false
          example: '20'
          schema:
            type: integer
        - name: startDate
          in: query
          required: false
          example: '2025-03-09'
          schema:
            type: integer
        - name: endDate
          in: query
          required: false
          example: '2025-04-09'
          schema:
            type: integer
        - name: disputeId
          in: query
          required: false
          example: 450730e4-5b10-44b2-a938-fe5890db3c31
          schema:
            type: integer
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,X-Partner-Access-Token,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '532'
            ETag:
              schema:
                type: string
              example: W/"214-/Fpyx+yt+RNkueqK1u1MKGG/9g8"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Mon, 14 Apr 2025 08:27:30 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Dispute Conversations
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      size:
                        type: integer
                      page:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
                      conversation:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            userId:
                              type: string
                            disputeId:
                              type: string
                            subject:
                              type: string
                            message:
                              type: string
                            attachments:
                              type: array
                              items: {}
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            deletedAt:
                              nullable: true
                            user:
                              type: object
                              properties:
                                id:
                                  type: string
                                role:
                                  type: string
                                firstName:
                                  type: string
              example:
                status: true
                message: Operation is successful
                data:
                  size: 20
                  page: 1
                  totalRecords: 1
                  totalPages: 1
                  conversation:
                    - id: f9e287f0-36f2-470c-97f4-1aad1c3eb03f
                      userId: 272fed9d-2d53-4892-8508-56582941d8d3
                      disputeId: ad33c553-ba18-47c2-9fba-62915d8d8c30
                      subject: Testing
                      message: How does this works?
                      attachments: []
                      createdAt: '2025-04-14T08:27:16.078Z'
                      updatedAt: '2025-04-14T08:27:16.078Z'
                      deletedAt: null
                      user:
                        id: 272fed9d-2d53-4892-8508-56582941d8d3
                        role: MERCHANT
                        firstName: Kimpembe
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````